commit 85f4056d71b45977bf269c7e595386647538d14b
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Tue Dec 13 15:46:01 2022 +0000

    ACL: Permit the "encrypted" condition to be used in a HELO/EHLO ACL

diff --git a/src/src/acl.c b/src/src/acl.c
index 8e1d92457..74b59b0fe 100644
--- a/src/src/acl.c
+++ b/src/src/acl.c
@@ -223,7 +223,7 @@ static condition_def conditions[] = {
   },
   [ACLC_ENCRYPTED] =		{ US"encrypted",	FALSE, FALSE,
 				  ACL_BIT_NOTSMTP | ACL_BIT_NOTSMTP_START |
-				    ACL_BIT_HELO,
+				    ACL_BIT_CONNECT
   },
 
   [ACLC_ENDPASS] =		{ US"endpass",	TRUE, TRUE,	0 },

